;;
;; bitmap-mule-init.el
;;
;; Takuo KITAME <kitame@northeye.org>

(if (and (featurep 'mule) (not (featurep 'xemacs)))
	(progn
	  (setq load-path 
			(cons (concat "/usr/share/" (symbol-name debian-emacs-flavor)
						  "/site-lisp/bitmap-mule") load-path))
	  
	  (if (eq debian-emacs-flavor 'emacs20)
		  (progn
			(and (featurep 'un-define)
				 (setq bitmap-alterable-charset 'tibetan-1-column))
			
			;; for Wanderlust
			(setq wl-highlight-x-face-function 'x-face-decode-message-header)
			
			;; for Mew (beta)
			(setq mew-use-highlight-x-face t)
			(setq mew-use-highlight-x-face-function
				  'x-face-decode-message-header)
			
			;; for x-face-mule
			;; some values
			(setq x-face-mule-uncompface-program "uncompface")
			
			;; For gnus-bitmap
			(autoload 'gnus-bitmap-splash "gnus-bitmap")
			(add-hook 'gnus-load-hook 'gnus-bitmap-splash)
			(setq x-face-mule-gnus-force-decode-headers t)
			
			;; smily and gnus-bitmap
			(if window-system
				(progn
				  
				  (autoload 'smiley-buffer "smiley-mule" nil t)
				  (autoload 'smiley-encode-buffer "smiley-mule" nil t)
				  
				  ;; For SEMI
				  ;; Default Disabled
				  ;;(add-hook 'mime-display-text/plain-hook 'smiley-buffer)
				  ;;(add-hook 'mime-edit-translate-hook 'smiley-encode-buffer)
				  
				  ;; For tm
				  ;;(add-hook 'mime-viewer/plain-text-preview-hook 'smiley-buffer)
				  ;;(add-hook 'mime-editor/translate-hook 'smiley-encode-buffer)
				  
				  ;; For gnus-bitmap
				  (autoload 'gnus-bitmap-splash "gnus-bitmap")
				  (add-hook 'gnus-load-hook 'gnus-bitmap-splash)
				  ))))
	  
	  
	  (require 'bitmap)
	  (and (eq debian-emacs-flavor 'emacs20)
	   (require 'x-face-mule))
	  
	  ;; bitmap-font force enable
	  (if window-system
		  (let ((charset (if (boundp 'MULE) lc-bitmap 'bitmap)))
			(mapcar (lambda (fontset)
					  ;;(if (= (fontset-pixel-size fontset) 16)
					  (set-fontset-font
					   fontset charset
					   "-*-fixed-medium-r-*--16-*-100-100-m-*-bitmap.8x16-0")
					  );;)
					(fontset-list))
			))
	  ))

;;; Local Variables:
;;; mode: emacs-lisp
;;; tab-width: 4
;;; End:
